Bug 653026 - [abrt] firefox-3.6.12-1.fc14: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
Summary: [abrt] firefox-3.6.12-1.fc14: Process /usr/lib/firefox-3.6/firefox was killed...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dd841e3dbc409793a73ff0a2a5c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 06:20 UTC by lion
Modified: 2011-12-07 13:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-07 13:09:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (61.59 KB, text/plain)
2010-11-14 06:20 UTC, lion
no flags Details

Description lion 2010-11-14 06:20:34 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox -UILocale fr
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
kernel: 2.6.35.6-48.fc14.i686
package: firefox-3.6.12-1.fc14
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1289495640
uid: 500

Comment 1 lion 2010-11-14 06:20:40 UTC
Created attachment 460329 [details]
File: backtrace

Comment 2 Chris Campbell 2010-12-14 16:11:30 UTC
#3  <signal handler called>
No symbol table info available.
#4  global_menu_gtk_serializer_to_string (menubar=<value optimized out>, pretty_print=<value optimized out>) at globalmenu-serializer.c:121
        result = <value optimized out>
        s = <value optimized out>
        timer = <value optimized out>
        _tmp0_ = 0xb4ee7f80 [GtkMenuBar]
        _tmp1_ = 0x6
        _tmp2_ = 0xb4ee7f84
        __PRETTY_FUNCTION__ = "global_menu_gtk_serializer_to_string"
#5  0x005a0014 in global_menu_gtk_update_menu_context (menubar=<value optimized out>) at globalmenu.c:242
        _tmp1_ = <value optimized out>
        toplevel = 0xb3519110 [GtkWindow]
        _tmp0_ = <value optimized out>
        __PRETTY_FUNCTION__ = "global_menu_gtk_update_menu_context"
#6  0x005a01ea in global_menu_gtk_changed_eh (ihint=<value optimized out>, param_values_length1=<value optimized out>, param_values=<value optimized out>) at globalmenu.c:218
        result = <value optimized out>
        _tmp0_ = {g_type = 3036963392, data = {{v_int = -1259438208, v_uint = 3035529088, v_long = -1259438208, v_ulong = 3035529088, v_int64 = 3035529088, v_uint64 = 3035529088, v_float = -4.4423723e-07, v_double = 1.4997506393326101e-314, v_pointer = 0xb4ee7f80}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        _tmp1_ = 0xb4ee7f80 [GtkMenuBar]
        menubar = 0xb4ee7f80 [GtkMenuBar]
#7  0x005a023c in _global_menu_gtk_changed_eh_gsignal_emission_hook (ihint=<value optimized out>, param_values_length1=<value optimized out>, param_values=<value optimized out>, self=<value optimized out>) at globalmenu.c:76
No locals.
#8  0x0070b9e3 in signal_emit_unlocked_R (node=0xb392f970, detail=0, instance=0xb4ee7f80, emission_return=0x0, instance_and_params=0xabeb3720) at gsignal.c:3218
        hook_func = 0x5a0210 <_global_menu_gtk_changed_eh_gsignal_emission_hook>
        signal_hook = 0xabfcb5b0
        need_destroy = <value optimized out>
        was_in_call = 0
        may_recurse = 1
        hook = 0xabfcb5b0
        accumulator = 0x0
        emission = {next = 0x0, instance = 0xb4ee7f80, ihint = {signal_id = 212, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_HOOK, chain_type = 4}
        class_closure = 0x0
        handler_list = <value optimized out>
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 212
        max_sequential_handler_number = 353
        return_value_altered = 0
#9  0x0071524e in g_signal_emit_valist (instance=0xb4ee7f80, signal_id=212, detail=0, var_args=0xbfad3388 "") at gsignal.c:2983
        instance_and_params = 0xabeb3720
        signal_return_type = 4
        param_values = 0xabeb3734
        node = <value optimized out>
        i = <value optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#10 0x00715585 in g_signal_emit_by_name (instance=0xb4ee7f80, detailed_signal=0x5a6375 "dyn-patch-changed") at gsignal.c:3077
        var_args = 0xbfad3388 ""
        detail = 0
        signal_id = 212
        __PRETTY_FUNCTION__ = "g_signal_emit_by_name"
#11 0x005a5061 in _dyn_patch_emit_changed (menubar=<value optimized out>) at dyn-patch-utils.c:209
No locals.
#12 0x007d28fd in g_timeout_dispatch (source=0xabde63d0, callback=0x5a4fd0 <_dyn_patch_emit_changed>, user_data=0xb4ee7f80) at gmain.c:3585
        timeout_source = 0xabde63d0
#13 0x007d1192 in g_main_dispatch (context=0xb7536680) at gmain.c:2149
        dispatch = 0x7d28d0 <g_timeout_dispatch>
        was_in_call = 0
        user_data = 0xb4ee7f80
        callback = 0x5a4fd0 <_dyn_patch_emit_changed>
        cb_funcs = 0x89e5bc
        cb_data = 0xabefc470
        current_source_link = {data = 0xabde63d0, next = 0x0}
        need_destroy = <value optimized out>
        source = 0xabde63d0
        current = 0xb4310050
        i = <value optimized out>
#14 g_main_context_dispatch (context=0xb7536680) at gmain.c:2702
No locals.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Martin Stransky 2011-12-07 13:09:05 UTC
We're using mozilla crash reporter now, ABRT is no more used for Firefox/Thunderbird. If you can reliably reproduce the crash (you have a testcase, reproduction steps, etc.) please reopen the bug and attach the reproduction info and assign it directly to me (stransky@redhat.com).

Thanks!


Note You need to log in before you can comment on or make changes to this bug.